"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var node_notifier_1 = __importDefault(require("node-notifier"));
var WebpackFirstBuildNotifierPlugin = /** @class */ (function () {
    function WebpackFirstBuildNotifierPlugin(_a) {
        var title = _a.title, message = _a.message, sound = _a.sound;
        this.is_first_build = true;
        this.title = title !== null && title !== void 0 ? title : "webpack-first-build-plugin";
        this.message = message !== null && message !== void 0 ? message : "The build is complete!";
        this.sound = sound !== null && sound !== void 0 ? sound : "Ping";
    }
    WebpackFirstBuildNotifierPlugin.prototype.apply = function (compiler) {
        var _this = this;
        compiler.hooks.done.tap("first-build", function () {
            if (_this.is_first_build) {
                node_notifier_1.default.notify({
                    title: _this.title,
                    message: _this.message,
                    sound: _this.sound,
                });
                _this.is_first_build = false;
            }
        });
    };
    return WebpackFirstBuildNotifierPlugin;
}());
exports.default = WebpackFirstBuildNotifierPlugin;
module.exports = WebpackFirstBuildNotifierPlugin;
